# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PlyLoader::PlyScalar Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyScalar:

List of all members.

## Public Member Functions

| PlyScalar ()
void | setScalarType (EType type)
EType | scalarType () const
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)
float | getAsFloat () const
int | getAsInt () const

## Protected Attributes

union {
char mChar
unsigned char mUChar
short mShort
unsigned short mUShort
int mInt
unsigned int mUInt
float mFloat
double mDouble
} | mData
EType | mScalarType

## Detailed Description

Used by PlyLoader.

Definition at line 117 of file vlPLY.hpp.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyScalar::PlyScalar | ( | ) | `[inline]`

Definition at line 120 of file vlPLY.hpp.

## Member Function Documentation

void vl::PlyLoader::PlyScalar::setScalarType | ( | EType | type ) | `[inline]`

Definition at line 121 of file vlPLY.hpp.

Referenced by vl::PlyLoader::PlyScalarList::read().

EType vl::PlyLoader::PlyScalar::scalarType | ( | ) | const`[inline]`

Definition at line 122 of file vlPLY.hpp.

Referenced by read().

void PlyLoader::PlyScalar::read | ( | VirtualFile * | file,
|  | bool | le
| ) |  | `[virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

Definition at line 65 of file vlPLY.cpp.

References vl::Log::error(), mData, vl::PlyLoader::PlyChar, vl::PlyLoader::PlyDouble, vl::PlyLoader::PlyFloat, vl::PlyLoader::PlyInt, vl::PlyLoader::PlyShort, vl::PlyLoader::PlyUChar, vl::PlyLoader::PlyUInt, vl::PlyLoader::PlyUShort, vl::VirtualFile::readDouble(), vl::VirtualFile::readFloat(), vl::VirtualFile::readSInt16(), vl::VirtualFile::readSInt32(), vl::VirtualFile::readSInt8(), vl::VirtualFile::readUInt16(), vl::VirtualFile::readUInt32(), vl::VirtualFile::readUInt8(), and scalarType().

Referenced by vl::PlyLoader::PlyScalarList::read().

void PlyLoader::PlyScalar::read | ( | TextStream * | text ) | `[virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

Definition at line 81 of file vlPLY.cpp.

References vl::Log::error(), vl::PlyLoader::PlyChar, vl::PlyLoader::PlyDouble, vl::PlyLoader::PlyFloat, vl::PlyLoader::PlyInt, vl::PlyLoader::PlyShort, vl::PlyLoader::PlyUChar, vl::PlyLoader::PlyUInt, vl::PlyLoader::PlyUShort, vl::TextStream::readDouble(), and vl::TextStream::readInt().

float PlyLoader::PlyScalar::getAsFloat | ( | ) | const

Definition at line 99 of file vlPLY.cpp.

References vl::Log::error(), vl::PlyLoader::PlyChar, vl::PlyLoader::PlyDouble, vl::PlyLoader::PlyFloat, vl::PlyLoader::PlyInt, vl::PlyLoader::PlyShort, vl::PlyLoader::PlyUChar, vl::PlyLoader::PlyUInt, and vl::PlyLoader::PlyUShort.

int PlyLoader::PlyScalar::getAsInt | ( | ) | const

Definition at line 116 of file vlPLY.cpp.

References vl::Log::error(), vl::PlyLoader::PlyChar, vl::PlyLoader::PlyDouble, vl::PlyLoader::PlyFloat, vl::PlyLoader::PlyInt, vl::PlyLoader::PlyShort, vl::PlyLoader::PlyUChar, vl::PlyLoader::PlyUInt, and vl::PlyLoader::PlyUShort.

Referenced by vl::PlyLoader::PlyScalarList::read().

## Member Data Documentation

char vl::PlyLoader::PlyScalar::mChar

Definition at line 130 of file vlPLY.hpp.

unsigned char vl::PlyLoader::PlyScalar::mUChar

Definition at line 131 of file vlPLY.hpp.

short vl::PlyLoader::PlyScalar::mShort

Definition at line 132 of file vlPLY.hpp.

unsigned short vl::PlyLoader::PlyScalar::mUShort

Definition at line 133 of file vlPLY.hpp.

int vl::PlyLoader::PlyScalar::mInt

Definition at line 134 of file vlPLY.hpp.

unsigned int vl::PlyLoader::PlyScalar::mUInt

Definition at line 135 of file vlPLY.hpp.

float vl::PlyLoader::PlyScalar::mFloat

Definition at line 136 of file vlPLY.hpp.

double vl::PlyLoader::PlyScalar::mDouble

Definition at line 137 of file vlPLY.hpp.

union { ... } vl::PlyLoader::PlyScalar::mData`[protected]`

Referenced by read().

EType vl::PlyLoader::PlyScalar::mScalarType`[protected]`

Definition at line 139 of file vlPLY.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlPLY.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlPLY.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.